dada3249

请问,spine3.8的文件如何在3.6版本中打开~

因为先前在做东西的时候没意识到这个版本问题。。。做了好几天,3.8版本导出后,程序无法使用。请问如何用3.6版本打开3.8版本制作的文件~ 很着急,谢谢
dada3249
  • Posts: 1

msqsw

高版本文件低版本打开的基本思路是:先导出高版本JSON 然后把JSON里影响导入低版本的数据改掉 然后用低版本导入JSON

一个是版本号 打开后第一行就能找到 这个不用多说 3.6回3.5版本基本只改这里就可以了。
3.8版本到3.6我之前改过一个 具体改了哪些记不清了 你自己可以导出一个3.6的JSON对比下 删掉3.8独有一些功能能模块的参数,然后把3.8改了格是的几个语句改回3.6的就可以

3.8版本包含所有运行库中一些的更改,反着改回来:

.json和.skel的文件格式发生了重大变化,以支持新功能并减小文件大小。要使用3.8运行库,你需要使用Spine Editor版本3.8.20及更高版本导出文件!
将Slot#getAttachmentVertices()重命名为Slot#getDeform()以更好地传达其意图。
将Skin addAttachment()重命名为Skin#setAttachment().
删除了VertexAttachment applyDeform()并将其替换为VertexAttachment#deformAttachment。在此字段上设置的附件用于决定是否应将DeformTimeline应用于当前在应用时间轴的插槽上设置的附件。
从MeshAttachment中删除了inheritDeform属性。
User avatar
msqsw
  • Posts: 16

Harald

非常感谢你的详细回答,msqsw,非常感谢你的回答,非常感谢!
Thanks very much for the detailled answer, msqsw, very much appreciated!
User avatar
Harald

Harri
  • Posts: 2105


Return to 中国Spine用户